# std::ranges::enumerate_view<V>::enumerate_view

From cppreference.com
< cpp‎ | ranges‎ | enumerate view

enumerate_view() requires std::default_initializable <V> = default; | (1) | (since C++23)
constexpr explicit enumerate_view( V base ); | (2) | (since C++23)

Constructs a `enumerate_view`.

1) Default constructor. Value-initializes the underlying view `base_`. After construction, `base()` returns a copy of V().
2) Initializes the underlying view `base_` with std::move(base).

### Parameters

base | - | the underlying view

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/enumerate_view/enumerate_view&oldid=150636"